Bug 1006091 - [abrt] evolution-3.8.5-2.fc19: _gdk_x11_display_error_event: Process /usr/bin/evolution was killed by signal 5 (SIGTRAP)
[abrt] evolution-3.8.5-2.fc19: _gdk_x11_display_error_event: Process /usr/bin...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:28d755bfb1edccea48be3495ea7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 22:09 EDT by Dean Hunter
Modified: 2013-09-11 03:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 03:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (85.14 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: cgroup (146 bytes, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: core_backtrace (55.93 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: dso_list (26.44 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: environ (1.38 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: maps (128.92 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: open_fds (2.29 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details
File: var_log_messages (17.92 KB, text/plain)
2013-09-09 22:09 EDT, Dean Hunter
no flags Details

  None (edit)
Description Dean Hunter 2013-09-09 22:09:23 EDT
Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evolution
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/evolution
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            128000001

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2556
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #9 _gdk_x11_display_send_xevent at gdkmain-x11.c:359
 #10 _gdk_x11_display_send_selection_notify at gdkselection-x11.c:329
 #11 _gtk_selection_request at gtkselection.c:2514
 #12 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #13 _g_closure_invoke_va at gclosure.c:840
 #16 gtk_widget_event_internal at gtkwidget.c:6714
 #17 gtk_widget_event at gtkwidget.c:6371

Potential duplicate: bug 902115
Comment 1 Dean Hunter 2013-09-09 22:09:26 EDT
Created attachment 795787 [details]
File: backtrace
Comment 2 Dean Hunter 2013-09-09 22:09:29 EDT
Created attachment 795788 [details]
File: cgroup
Comment 3 Dean Hunter 2013-09-09 22:09:32 EDT
Created attachment 795789 [details]
File: core_backtrace
Comment 4 Dean Hunter 2013-09-09 22:09:35 EDT
Created attachment 795790 [details]
File: dso_list
Comment 5 Dean Hunter 2013-09-09 22:09:37 EDT
Created attachment 795791 [details]
File: environ
Comment 6 Dean Hunter 2013-09-09 22:09:40 EDT
Created attachment 795792 [details]
File: limits
Comment 7 Dean Hunter 2013-09-09 22:09:43 EDT
Created attachment 795793 [details]
File: maps
Comment 8 Dean Hunter 2013-09-09 22:09:46 EDT
Created attachment 795794 [details]
File: open_fds
Comment 9 Dean Hunter 2013-09-09 22:09:48 EDT
Created attachment 795795 [details]
File: proc_pid_status
Comment 10 Dean Hunter 2013-09-09 22:09:51 EDT
Created attachment 795796 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-09-10 03:30:01 EDT
Thanks for a bug report. I do not see from the backtrace what exactly caused the crash, there is only partial message shown, which is printed on evolution's console:
   The program 'evolution' received an X Window System error.
   This probably reflects a bug in the program.
   The error was 'BadWindow (invalid Window parameter)'.
   (Details: serial 456753 error_code 3 req"...

By any chance, are you able to reproduce this with certain steps, please?
Comment 12 Dean Hunter 2013-09-10 12:14:20 EDT
No, It just happened for the first time with this report.  I use Gnome 3.8.4-2.fc19.x86_64.  I had Evolution and Firefox open in one virtual desktop and was using Edit and Terminal in another virtual desktop.  As I recall I received a notification of new mail and then almost immediately afterwards a notification from Automatic Bug Reporting Tool of the error in Evolution.  So I was not directly interacting with Evolution, in fact it was not displayed, at the time of the error.  I do not know how I would reproduce the error.
Comment 13 Milan Crha 2013-09-11 03:56:45 EDT
Thanks for the update. Maybe just a temporary failure in some function, who knows. I would close this for now, but please feel free to update this bug report if you find anything in the future. Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.